Subject: Re: [PATCH] format-patch: autonumber by default

From: Andreas Ericsson <[email-masked]>
Date: Thu, 02 Oct 2008 15:43:09 +0200

Giuseppe Bilotta wrote:
> On Thu, Oct 2, 2008 at 2:33 PM, Johannes Schindelin
> <[email-masked]> wrote:
>> Hi,
>>
>> On Thu, 2 Oct 2008, Giuseppe Bilotta wrote:
>>
>>> Set auto-number true by default, allowing the format.number key to be
>>> set to 'noauto' to override this.
>>> ---
>>>  builtin-log.c |    6 +++++-
>>>  1 files changed, 5 insertions(+), 1 deletions(-)
>> Interesting.  No sign-off, no defense why this is actually desirable,
>> after we lived for so long without this behavior... Care to elaborate?
> 
> Doh, sorry about the Sign-off, I'll resend with.
> 
> Now, about the reason for this patch: I would say that the most common
> use-case of format-patch being used to prepare multiple patches is
> when one plans on sending a patchset. When format.numbering is set to
> auto, single-patches will still be extracted without numbers, but
> patchset will be properly numbered.
> 

I like it. It hasn't bitten me since I moved to imap-send, but when I
used send-email I sometimes forgot and ended up sending patch-series
without numbers.

I sent a patch for it once, but changed the default instead of making
it configurable so it got turned down.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231